Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.activities
Class IdentifierEvent

    java.lang.Object
      org.eclipse.ui.activities.IdentifierEvent

public final class IdentifierEvent
extends Object

An instance of this class describes changes to an instance of `IIdentifier`. This class does not give details as to the specifics of a change, only that the given property on the source object has changed.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `IIdentifierListener.identifierChanged(IdentifierEvent)`

Constructor Summary
`IdentifierEvent(IIdentifier identifier, boolean activityIdsChanged, boolean enabledChanged)` Creates a new instance of this class.

Method Summary
`IIdentifier` | `getIdentifier()` Returns the instance of the interface that changed.
`boolean` | `hasActivityIdsChanged()` Returns whether or not the activityIds property changed.
`boolean` | `hasEnabledChanged()` Returns whether or not the enabled property changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentifierEvent

    public IdentifierEvent(IIdentifier identifier,
                           boolean activityIdsChanged,
                           boolean enabledChanged)

  Creates a new instance of this class.

Parameters:
  `identifier` - the instance of the interface that changed.
  `activityIdsChanged` - `true`, iff the activityIds property changed.
  `enabledChanged` - `true`, iff the enabled property changed.

Method Detail

### getIdentifier

    public IIdentifier getIdentifier()

  Returns the instance of the interface that changed.

  Returns:
    the instance of the interface that changed. Guaranteed not to be `null`.

### hasActivityIdsChanged

    public boolean hasActivityIdsChanged()

  Returns whether or not the activityIds property changed.

  Returns:
    `true`, iff the activityIds property changed.

### hasEnabledChanged

    public boolean hasEnabledChanged()

  Returns whether or not the enabled property changed.

  Returns:
    `true`, iff the enabled property changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.